package Vue;

import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;

import Controleurs.EcouteurBoutonDeconnexion;
import Controleurs.EcouteurSourisAjout;
import Modèle.DonneesXML;
import Modèle.Groupe;
import Modèle.Probleme;
import Modèle.Utilisateur;

public class IHMAccueil extends JFrame{
	protected Vector<Groupe> groupes;
	protected Vector<Probleme> probleme;
	protected DonneesXML DXML;
	protected Utilisateur utilCourant;
	
	public IHMAccueil(Vector<Groupe> groupes, Vector<Probleme> probleme, DonneesXML DXML,Utilisateur utilCourant) {
		this.utilCourant=utilCourant;
		this.groupes=groupes;
		this.probleme=probleme;
		this.DXML=DXML;
		this.setTitle("Optim'EISTI");
		this.setLayout(null);
		this.setSize(1200, 800);
		this.setResizable(false);
		this.setLocationRelativeTo(null);

		JMenuBar m = new JMenuBar();
		JMenu menu = new JMenu("Fichier");
		JMenu menu2 = new JMenu("A Propos");
		JMenuItem item = new JMenuItem("Quitter");
		JMenuItem item2 = new JMenuItem("Version");
		menu2.add(item2);
		menu.add(item);
		m.add(menu);
		m.add(menu2);
		this.setJMenuBar(m);
		
		this.setContentPane(new IHMBigPanel(new IHMMenu(this),this));
		
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setVisible(true);
	}

	public Vector<Probleme> getProbleme() {
		return probleme;
	}

	public void setProbleme(Vector<Probleme> probleme) {
		this.probleme = probleme;
	}

	public Vector<Groupe> getGroupes() {
		return groupes;
	}

	public void setGroupes(Vector<Groupe> groupes) {
		this.groupes = groupes;
	}

	public DonneesXML getDXML() {
		return DXML;
	}

	public void setDXML(DonneesXML dXML) {
		DXML = dXML;
	}
	
	
}
